#150 HSQL table not present, jmanage doesn't function

open
general (93)
5
2007-08-20
2007-08-20
No

Environment is SunOS and JDK 1.5.0_12

On startup, Jmanage 2.0 RC1 prints the following error, and the web ui serves only empty pages.

Aug 20, 2007 10:25:45 AM org.jmanage.util.db.DBUtils <clinit>
INFO: DataBase URL: jdbc:hsqldb:file:../data/db
Aug 20, 2007 10:25:47 AM org.jmanage.core.crypto.Crypto init
INFO: Crypto initialized
Aug 20, 2007 10:25:47 AM org.jmanage.core.auth.ACLStore <init>
INFO: Loaded ACLs
Aug 20, 2007 10:25:47 AM org.jmanage.core.config.ApplicationTypes init
INFO: ApplicationRegistry initialized from ../config/system/application-type-config.xml
Aug 20, 2007 10:25:47 AM org.jmanage.core.alert.AlertEngine start
INFO: AlertEngine started.
Exception in thread "main" java.lang.ExceptionInInitializerError
at org.jmanage.monitoring.downtime.ApplicationDowntimeService.<init>(ApplicationDowntimeService.java:52)
at org.jmanage.monitoring.downtime.ApplicationDowntimeService.<clinit>(ApplicationDowntimeService.java:44)
at org.jmanage.webui.Startup.main(Startup.java:123)
Caused by: java.lang.RuntimeException: java.sql.SQLException: Table not found in statement [SELECT application_id, recording_start FROM t_application_downtime]
at org.jmanage.monitoring.downtime.DowntimeRecorder.initDowntimeMapFromDB(DowntimeRecorder.java:208)
at org.jmanage.monitoring.downtime.DowntimeRecorder.<init>(DowntimeRecorder.java:64)
at org.jmanage.monitoring.downtime.DowntimeRecorder.<clinit>(DowntimeRecorder.java:56)
... 3 more
Caused by: java.sql.SQLException: Table not found in statement [SELECT application_id, recording_start FROM t_application_downtime]
at org.hsqldb.jdbc.Util.sqlException(Unknown Source)
at org.hsqldb.jdbc.jdbcStatement.fetchResult(Unknown Source)
at org.hsqldb.jdbc.jdbcStatement.executeQuery(Unknown Source)
at org.jmanage.monitoring.downtime.DowntimeRecorder.initDowntimeMapFromDB(DowntimeRecorder.java:187)
... 5 more

Discussion

  • michaelnewton

    michaelnewton - 2007-08-20

    Logged In: YES
    user_id=1871618
    Originator: YES

    Any advice on working around this would be welcome

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2010-05-11

    Check to see if you have a db.data file in %JMANAGE_HOME%/data. If you do not have that file, you can work around this by deleting your %JMANAGE_HOME%/data/db.properties file. A new database will be created at start-up.

     
    Last edit: Anonymous 2013-11-20

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks